# Edit in soft/theme CVS module
%define name mandriva-theme
%define theme Mandriva
%define version 1.0.12
%define release 1mdk
%define scriptdir %{_datadir}/bootsplash/scripts/
%define mdk_bg %{_datadir}/mdk/backgrounds/

Summary: The default Mandriva Linux theme for bootsplash and desktop background
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Theme
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Prereq: bootsplash >= 3.1.10
BuildArchitectures: noarch
Provides: mandrake_theme mandrake-theme mandrakelinux-theme
Obsoletes: mandrake_theme mandrake-theme mandrakelinux-theme
Buildrequires: lilo
Requires: mandriva-theme-screensaver
Conflicts:	kdebase-common <= 1:3.4.2-29mdk
Conflicts: kdebase-konsole <= 1:3.4.2-37mdk

%description

This package contains the default bootsplash theme with its images and
configuration for different resolution as well as the lilo image and
the desktop background image.

%package screensaver
Summary: Mandriva default screensaver
Group: System/Configuration/Theme

%description screensaver
This package contains the screensaver associated with the Mandriva Linux default 
theme.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

# the syslinux is not needed for the mandriva-theme package, but
# oftenly the installation syslinux image have to be done with
# the bootsplash theme.
for i in Mandriva ; do
lilo-bmp2mdk file:$i/lilo/syslinux.bmp > $i/lilo/syslinux
lilo-bmp2mdk file:$i/lilo/lilo.bmp > $i/lilo/message
done

make install prefix=$RPM_BUILD_ROOT

%post
if [ -z "$DURING_INSTALL" ]; then
  if [ -x %scriptdir/switch-themes ]; then 
    %scriptdir/switch-themes Mandriva
  fi
else
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=Mandriva/' %_sysconfdir/sysconfig/bootsplash
  fi
  ln -s Mandriva %_sysconfdir/bootsplash/themes/current
fi
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then 
  rm -f %mdk_bg/default.png
  ln -s Mandriva-1600x1200.png %mdk_bg/default.png 
fi
if [ ! -f %mdk_bg/Mandriva.png -o -L %mdk_bg/Mandriva.png ]; then 
  rm -f %mdk_bg/Mandriva.png
  ln -s Mandriva-1600x1200.png %mdk_bg/Mandriva.png 
fi
if [ -f %mdk_bg/Mandriva-root.png -a ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then 
  rm -f %mdk_bg/root/default.png
  ln -s Mandriva-root-1600x1200.png %mdk_bg/root/default.png 
fi
for f in kdeglobals konsolerc; do
  if [ ! -f %_datadir/config/$f ]; then
    ln -sf $f-Mandriva %_datadir/config/$f
  fi
done

%preun
if [ "$1" == "0" ]; then
if [ -x %scriptdir/remove-theme ]; then 
  %scriptdir/remove-theme Mandriva
fi 
  link=`readlink %mdk_bg/default.png`
  slink=${link:0:12}
  if [ "$slink" == "Mandriva" ]; then rm -f %mdk_bg/default.png;fi
  link=`readlink %mdk_bg/Mandriva.png`
  slink=${link:0:12}
  if [ "$slink" == "Mandriva" ]; then rm -f %mdk_bg/Mandriva.png;fi
  link=`readlink %mdk_bg/root/Mandriva.png`
  slink=${link:0:17}
  if [ "$slink" == "Mandriva-root" ]; then rm -f %mdk_bg/root/default.png;fi
  link=`readlink %_sysconfdir/bootsplash/themes/current`
  if [ "$link" == "Mandriva" ]; then rm -f %_sysconfdir/bootsplash/themes/current;fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%config(noreplace) %_datadir/config/kdeglobals-Mandriva
%config(noreplace) %_datadir/config/konsolerc-Mandriva
%_datadir/bootsplash/themes/Mandriva
%config(noreplace) %_sysconfdir/bootsplash/themes/Mandriva/*
%mdk_bg/Mandriva*



%files screensaver
%dir %_datadir/mdk/screensaver
%_datadir/mdk/screensaver/00-TUX.png
%_datadir/mdk/screensaver/01-TUX.png
%_datadir/mdk/screensaver/02-TUX.png
%_datadir/mdk/screensaver/03-TUX.png
%_datadir/mdk/screensaver/04-TUX.png
%_datadir/mdk/screensaver/05-TUX.png
%_datadir/mdk/screensaver/06-TUX.png
%_datadir/mdk/screensaver/07-TUX.png
%_datadir/mdk/screensaver/08-TUX.png
%_datadir/mdk/screensaver/09-TUX.png
%_datadir/mdk/screensaver/10-TUX.png

%changelog
* Fri Sep 23 2005 Frederic Lepied <flepied@mandriva.com> 1.0.12-1mdk
- rebuild to have the common part in kdeglobals

* Tue Sep 13 2005 Warly <warly@mandriva.com> 1.0.11-1mdk
- fixed tux images for screensaver

* Thu Sep 13 2005 Pixel <pixel@mandriva.com> 1.0.10-2mdk
- we need special bootsplash to be installed to correctly upgrade from mandrakelinux-theme
  (cf bootsplash 3.1.8-3mdk changelog)

* Mon Sep 12 2005 Warly <warly@mandriva.com> 1.0.10-1mdk
- improve bootsplash image quality
- move text window
- change progress bar color

* Fri Sep  9 2005 Frederic Lepied <flepied@mandriva.com> 1.0.9-1mdk
- move konsolerc to this package

* Thu Sep 08 2005 Warly <warly@mandriva.com> 1.0.8-4mdk
- remove mandriva-theme non versionned provides

* Wed Sep 07 2005 Warly <warly@mandriva.com> 1.0.8-3mdk
- fix kdeglobals name

* Tue Sep 06 2005 Laurent MONTEL <lmontel@mandriva.com> 1.0.8-2mdk
- Move kdeglobals here

* Mon Sep 05 2005 Warly <warly@mandriva.com> 1.0.8-1mdk
- update screensaver image

* Fri Sep 02 2005 Warly <warly@mandriva.com> 1.0.7-1mdk
- fix bootloader progress bar

* Mon Aug 29 2005 Warly <warly@mandriva.com> 1.0.5-1mdk
- various theme corrections
- split screensaver

* Mon Aug 22 2005 Warly <warly@mandriva.com> 1.0.4-1mdk
- new themes

* Tue Aug 02 2005 Warly <warly@mandriva.com> 1.0.3-1mdk
- new background

* Wed Jul 27 2005 Warly <warly@mandriva.com> 1.0.2-1mdk
- include screen saver

* Tue Jul 12 2005 Warly <warly@mandriva.com> 1.0.1-1mdk
- fix configuration file which still refered to Mandrakelinux pathes

* Wed Jun 29 2005 Warly <warly@mandriva.com> 1.0.0-1mdk
- Mandrakelinux->Mandriva
- New theme

* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.6-1mdk
- The configuration file for 1280x1024 was wrong.
- Move down the text in resolution other than 800x600

* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.5-1mdk
- Really change the background

* Mon Apr  4 2005 Warly <warly@mandrakesoft.com> 0.3.4-1mdk
- Now default background is stars only

* Fri Apr  1 2005 Warly <warly@mandrakesoft.com> 0.3.3-1mdk
- fix the eyes

* Wed Mar 23 2005 Warly <warly@mandrakesoft.com> 0.3.2-1mdk
- fix lilo progress bar size

* Tue Mar 22 2005 Warly <warly@mandrakesoft.com> 0.3.1-1mdk
- include new definitions images
- try to update progress bar position in higher definitions than 800x600

* Mon Mar 21 2005 Warly <warly@mandrakesoft.com> 0.3.0-1mdk
- Limited Edition 2005 theme

* Thu Mar 10 2005 Warly <warly@mandrakesoft.com> 0.2.20-1mdk
- updated for rc1

* Tue Feb 22 2005 Warly <warly@mandrakesoft.com> 0.2.19-1mdk
- fix bad jpeg format

* Mon Feb 21 2005 Warly <warly@mandrakesoft.com> 0.2.18-1mdk
- theme for 10.2 beta 3
- add new x,y position for animation
- try to stop animation sooner, not to have it remaining in console mode

* Fri Feb  4 2005 Warly <warly@mandrakesoft.com> 0.2.17-1mdk
- theme for 10.2 beta 2

* Fri Jan 21 2005 Warly <warly@mandrakesoft.com> 0.2.16-1mdk
- 10.2 beta

* Fri Dec 24 2004 Warly <warly@mandrakesoft.com> 0.2.15-1mdk
- Cooker Xmas theme

* Mon Aug 23 2004 Warly <warly@mandrakesoft.com> 0.2.10-2mdk
- obsolete also mandrake-theme

* Tue Aug  3 2004 Warly <warly@mandrakesoft.com> 0.2.10-1mdk
- fix theme name in config file

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.9-1mdk
- fix corporate configuration files

* Thu Jul 29 2004 Warly <warly@mandrakesoft.com> 0.2.8-1mdk
- fix post install scripts
- add prereq on bootplash for extra packages (server and desktop)

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.7-1mdk
- include corporate server and desktop theme
- more Mandrake->Mandrakelinux switches

* Wed Jul 28 2004 Warly <warly@mandrakesoft.com> 0.2.5-4mdk
- coporate server 3.0

* Tue Jul 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-3mdk
- Euskara version

* Tue May 11 2004 Warly <warly@mandrakesoft.com> 0.2.5-2mdk
- 10.0 Shuttle version

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.5-1mdk
- switch lilo selection to white

* Fri Feb 13 2004 Warly <warly@mandrakesoft.com> 0.2.4-1mdk
- fix timer displaying

* Tue Jan 20 2004 Warly <warly@mandrakesoft.com> 0.2.2-1mdk
- Try to have a little better lilo color choice

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.1-1mdk
- forget desktop background

* Wed Dec 31 2003 Warly <warly@mandrakesoft.com> 0.2.0-1mdk
- renamed mandrake-theme
- test theme

* Sat Sep 20 2003 Warly <warly@mandrakesoft.com> 0.1.1-1mdk
- do nothing in %%post in upgrade

* Mon Sep 15 2003 Warly <warly@mandrakesoft.com> 0.1.0-1mdk
- replace black 1024 and 1280 images for powerpack and mandrake theme
- new lilo with progress bar

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.9-1mdk
- I am dead
- fix text in 800x600 mandrake/powerpack theme
- fix post powerpack theme script

* Tue Sep  9 2003 Warly <warly@mandrakesoft.com> 0.0.8-1mdk
- next time I commit suicide

* Mon Sep  8 2003 Warly <warly@mandrakesoft.com> 0.0.7-1mdk
- fix progress bar position in 800x600 for default theme

* Fri Sep  5 2003 Warly <warly@mandrakesoft.com> 0.0.6-1mdk
- fix discovery 1024x768

* Fri Aug 29 2003 Warly <warly@mandrakesoft.com> 0.0.5-1mdk
- new discovery black background
- various post install script fixes
- new discovery lilo boot logo

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.4-1mdk
- s,backgrounds/mdk,mdk/backgrounds,
- fix remove_theme

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.3-1mdk
- fix theme installation during install

* Tue Aug 26 2003 Warly <warly@mandrakesoft.com> 0.0.2-1mdk
- s,backgrounds,backgrounds/mdk,

* Mon Aug 25 2003 Warly <warly@mandrakesoft.com> 0.0.1-1mdk
- new theme package

# end of file
